/***************************************************************************
 *   Copyright 2009  Petr Bravenec petr@bravenec.org                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU General Public License as        *
 *   published by the Free Software Foundation; either version 2 of        *
 *   the License or (at your option) version 3 or any later version        *
 *   accepted by the membership of KDE e.V. (or its successor approved     *
 *   by the membership of KDE e.V.), which shall act as a proxy            *
 *   defined in Section 14 of version 3 of the license.                    *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
 ***************************************************************************/

#include "kcm_openattachedfile.h"

// Qt includes
#include <QLayout>

// KDE includes
#include <kgenericfactory.h>
#include "pluginsettings.h"

#include "ui_kcm_kmm_openattachedfile.h"

class PluginSettingsWidget : public QWidget, public Ui::OpenAttachedFile {
public:
  PluginSettingsWidget(QWidget* parent = 0) : QWidget(parent) {
    setupUi(this);
  }

public slots:

private:
};


K_PLUGIN_FACTORY(KCMOpenAttachedFileFactory,
                 registerPlugin<KCMOpenAttachedFile>();
                )
K_EXPORT_PLUGIN(KCMOpenAttachedFileFactory("kmm_openattachedfile", "kmymoney"))

KCMOpenAttachedFile::KCMOpenAttachedFile(QWidget *parent, const QVariantList& args) 
    : KCModule(KCMOpenAttachedFileFactory::componentData(), parent, args) {
  PluginSettingsWidget* w = new PluginSettingsWidget(this);
  addConfig(PluginSettings::self(), w);
  QVBoxLayout *layout = new QVBoxLayout;
  setLayout(layout);
  layout->addWidget(w);
  load();
}


