/***************************************************************************
 *   Copyright 2009  Petr Bravenec petr@bravenec.org                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU General Public License as        *
 *   published by the Free Software Foundation; either version 2 of        *
 *   the License or (at your option) version 3 or any later version        *
 *   accepted by the membership of KDE e.V. (or its successor approved     *
 *   by the membership of KDE e.V.), which shall act as a proxy            *
 *   defined in Section 14 of version 3 of the license.                    *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
 ***************************************************************************/
#ifndef OPENATTACHEDFILE_H
#define OPENATTACHEDFILE_H

#include "kmymoneyplugin.h"
#include "mymoneyaccount.h"
#include "mymoneykeyvaluecontainer.h"
#include <kmymoney/selectedtransaction.h>
#include <kprocess.h>

class QStringList;
class KPluginInfo;
class MyMoneyMoney;
class KAction;

class KMMOpenAttachedFilePlugin: public KMyMoneyPlugin::Plugin {
  Q_OBJECT

public:
  KMMOpenAttachedFilePlugin(QObject *parent, const QStringList&);

protected slots:
  void slotTransactionsSelected(const KMyMoneyRegister::SelectedTransactions& transactions);
  void slotOpenAttachedFile();
  void slotPlug(KPluginInfo*);
  void slotUnplug(KPluginInfo*);
  void slotProcessFinished(int,QProcess::ExitStatus);

private:
  KMyMoneyRegister::SelectedTransactions m_transactions;
  KAction   *m_action;
  void       openFile(const QString& number);
  
};

#endif // OPENATTACHEDFILE_H
